### Method

# GLib Variant get_size

since: 2.24

#### Declaration [src]

    gsize
    g_variant_get_size (
      GVariant* value
    )

#### Description [src]

Determines the number of bytes that would be required to store `value` with g_variant_store().

If `value` has a fixed-sized type then this function always returned that fixed size.

In the case that `value` is already in serialized form or the size has already been calculated (ie: this function has been called before) then this function is O(1). Otherwise, the size is calculated, an operation which is approximately O(n) in the number of values involved.

Available since: 2.24

#### Return value

Type: `gsize`

The serialized size of `value`.